{
    num: 903,
    accuracy: 85,
    basePower: 60,
    category: "Special",
    name: "Syrup Bomb",
    pp: 10,
    priority: 0,
    flags: { protect: 1, mirror: 1, metronome: 1, bullet: 1 },
    onAfterHit(target, source, move) {
        if (!move.hasSheerForce && source.hp) {
            target.addVolatile("syrupbomb", source);
        }
    },
    condition: {
        noCopy: true,
        duration: 4,
        onStart(pokemon, source) {
            this.effectState.doubleBoost = (source.species.id === "dipplin" && source.hasItem("syrupyapple"));
            this.add("-start", pokemon, "Syrup Bomb");
        },
        onResidualOrder: 14,
        onResidual(pokemon) {
            if (this.effectState.doubleBoost) {
                this.boost({ spe: -2 }, pokemon);
            } else {
                this.boost({ spe: -1 }, pokemon);
            }
        },
        onEnd(pokemon) {
            this.add("-end", pokemon, "Syrup Bomb", "[silent]");
        }
    },
    secondary: {},
    target: "normal",
    type: "Grass"
}
